#include "lwip_comm.h"
#include "lwip/netif.h"
#include "lwip/ip_addr.h"
//net_port.c
// 【正点原子专用】全局网卡，自己定义一次
struct netif gnetif;

void netif_poll(struct netif *netif)
{
    ethernetif_input(netif);
}

int ip4addr_aton(const char *cp, ip_addr_t *addr)
{
    uint32_t ip = 0;
    uint8_t seg[4] = {0};
    int i;

    for (i = 0; i < 4; i++)
    {
        if (*cp < '0' || *cp > '9') return 0;

        while (*cp >= '0' && *cp <= '9')
        {
            seg[i] = seg[i] * 10 + (*cp - '0');
            cp++;
        }

        if (seg[i] > 255) return 0;
        if (i < 3 && *cp != '.') return 0;
        if (i < 3) cp++;
    }

    ip = (seg[0] << 24) | (seg[1] << 16) | (seg[2] << 8) | seg[3];
    addr->addr = htonl(ip);

    return 1;
}
